ptp

| PTP
Why Use PTP: What is PTP Procedures: Configure PTP basic settings Configure PTP advanced settings Tips on Using this Window: Click the column headings to sort information. Click Submit to save your changes. Click Cancel to discard unsaved changes. Back to the top ### What Is PTP The Precision Time Protocol (PTP) synchronizes with nanosecond accuracy the real-time clocks of the devices in a network. Using the best master clock selection, the switch identifies the switch port that is connected to a device with the best clock source. The switch then synchronizes its internal clock with the best clock source. The most precise clock source in the network is referred to as the grand master clock. PTP is particularly useful for industrial automation systems and process control networks, where motion and precision control of instrumentation and test equipment are important. By default, PTP is enabled on all the Fast Ethernet and Gigabit Ethernet ports on the base switch module. Only the ports on the base switch module are PTP-capable. The switch expansion modules do not support PTP. Note: Do not connect PTP-capable devices to expansion ports. All PTP packets received by a non-PTP-capable port on a switch supporting PTP are discarded. Back to the top ### Configure PTP Basic Settings The Basic Settings tab on the PTP window shows the synchronization state of the switch ports and the enabled synchronization clock mode. Use this tab to select the synchronization clock mode and to enable or to disable PTP on the switch ports.
Mode | The synchronization clock mode on the switch. In Boundary mode, the switch becomes the parent clock to which the other devices connected to the switch synchronize their internal clocks. The switch and connected devices constantly exchange timing messages to correct time skew caused by clock offsets and network delays. This mode can eliminate the effects of latency fluctuations. Because jitter and errors can accumulate in cascaded topologies, this mode should be used only for networks with less than 4 layers of cascaded devices. In Boundary mode, one or more switch ports can be PTP-enabled. In End-to-End Transparent mode, the switch transparently synchronizes all clocks with the master clock connected to the switch. This is the default mode. The switch corrects the delay incurred by every packet passing through the switch (referred to as residence time). This mode causes less jitter and error accumulation than boundary mode. In End-to-End Transparent mode, all switch ports in the base are enabled by default.
GrandMasterClock ID | Click the GrandMasterClock ID link to display reference information about the parent or grand master clock. This link applies only when the switch is in boundary mode.
Interface | The number of the switch port, including port type (such as Fa for Fast Ethernet and Gi for Gigabit Ethernet), the base switch number (1), and the specific port number. For example: Fa1/1 is Fast Ethernet port 1 on the base switch.
Enable | By default, PTP is enabled on all the Fast Ethernet and Gigabit Ethernet ports on the base switch module. Only the ports on the base switch module are PTP-capable. The switch expansion modules do not support PTP. When at least one switch port is PTP-enabled, the end-to-end transparent mode is selected by default. In boundary mode, one or more switch ports can be PTP-enabled. In end-to-end transparent mode, all switch ports are PTP-enabled. You can enable or disable PTP on a per-port basis.
State | The synchronization state on the switch port with the parent or grand master clock. In boundary mode, the switch port state can be: Initializing: The switch port is waiting while a parent or grand master clock is selected. Listening: The switch port is waiting while a parent or grand master clock is selected. Pre-master: The switch port is transitioning to change to Master state. Master: The switch is acting as a parent clock to the devices connected to that switch port. Passive: The switch has detected a redundant path to a parent or grand master clock. For example, two different switch ports claim the same parent or grand master clock. To prevent a loop in the network, one of the ports changes to Passive state. Uncalibrated:The switch port cannot synchronize with the parent or grand master clock. Slave:The switch port is connected to and synchronizing with the parent or grand master clock. Faulty: PTP is not operating properly on that switch port. Disabled: PTP is not enabled on the switch port. In end-to-end transparent mode, the switch port state can be: Not Faulty: The switch port is operating properly. Faulty: The switch port is not operating properly. Faulty (ptp is disabled): PTP is not enabled on the switch port.
Back to the top ### Configure PTP Advanced Settings The Advanced Settings tab on the PTP window shows the settings for the timing messages. This tab is available only when the switch is in boundary mode. Use this tab to change the timing message settings.
Interface | The number of the switch port, including port type (such as Fa for Fast Ethernet and Gi for Gigabit Ethernet), the base switch number (1), and the specific port number. For example: Fa1/1 is Fast Ethernet port 1 on the base switch.
Announce Interval | The time interval for sending announce messages: 0 means 1 second 1 means 2 seconds 2 means 4 seconds 3 means 8 seconds 4 means 16 seconds The default is 1 (2 seconds).
Announce Receipt Timeout Interval | The number of announce intervals that must pass without receipt of an announce message from the parent or grand master clock before the switch selects a new parent or grand master clock. The number can be from 2 to 10. The default is 3.
Delay Request Interval | The time interval recommended to connected devices to send delay request messages when the switch port is in the master state: -1 means half second 0 means 1 second 1 means 2 seconds 2 means 4 seconds 3 means 8 seconds 4 means 16 seconds 5 means 32 seconds 6 means 64 seconds The default is 5 (32 seconds).
Sync Interval | The time interval for sending synchronization messages: -1 means half second 0 means 1 second 1 means 2 seconds The default is 0 (1 second).
Sync Limit | The maximum clock offset before PTP attempts to reacquire synchronization. The value can be from 50 to 500000000 nanoseconds. The default is 50000 nanoseconds. We recommend against setting the sync limit below the default (50000 nanoseconds). Note: Use values below 50000 nanoseconds only in networks with a very high-precision grand master clock. These networks would have a critical need to keep very sensitive devices synchronized.
Back to the top